%{
/**********************************************************************/
/* lex.l                                                              */
/*                                                                    */
/* Copyright (C) 1992, Bernard Kwok                                   */
/* All rights reserved.                                               */
/* Revision 1.0                                                       */
/* May, 1992                                                          */
/**********************************************************************/
#include "y.tab.h"
extern float floatvalue;
double atof();
int lineno;
%}

%%
model 		return (MODEL);
tm		return (TM);
scale		return (SCALE);
translate 	return (TRANSLATE);
surface         return (SURFACE);
cv              return (CURVE);
rotate 		return (ROTATE);
cone		return (CONE);
cube		return (CUBE);
cylinder	return (CYLINDER);
sphere		return (SPHERE);
light		return (LIGHT);
color		return (COLOR);
diffusion	return (DIFFUSION);
specularity	return (SPECULARITY);
\{		return (LEFT_CURLY);
\}		return (RIGHT_CURLY);
\(		return (LEFT_ROUND);
\)		return (RIGHT_ROUND);
\;		return (SEMI_COLON);
\,		return (COMA);
-?[0-9]+\.?[0-9]*e?-?[0-9]*		{
                floatvalue  = atof(yytext);
		return (FLOAT);
		}
%%

